import Txt23DHandler from "../biz/txt23d";
import Txt2ImgHandler from "../biz/txt2img";
import UpscaleHandler from "../biz/upScale";
import { RegistHandler } from "../utils/register";
// 首页路由
const HelloworldHandler = async (ctx: any) => {
  ctx.body = "helloworld";
}
const InitHandler = () => {
  RegistHandler("post", "/txt2img", Txt2ImgHandler);
  RegistHandler("options", "/txt2img", Txt2ImgHandler);
  RegistHandler("post", "/txt23d", Txt23DHandler);
  RegistHandler("options", "/txt23d", Txt23DHandler);
  RegistHandler("options", "/upscale", UpscaleHandler);
  RegistHandler("post", "/upscale", UpscaleHandler);
}


export default InitHandler;